# Interface IExecutionEnvironmentsManager

public interface IExecutionEnvironmentsManager
Manager for execution environments. The singleton manager is available via `JavaRuntime.getExecutionEnvironmentsManager()`.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IExecutionEnvironment`
`getEnvironment(String id)`
Returns the execution environment associated with the given identifier or `null` if none.
`IExecutionEnvironment[]`
`getExecutionEnvironments()`
Returns all registered execution environments sorted by their id.
`SortedSet<IExecutionEnvironment>`
`getSupportedExecutionEnvironments()`
Returns all execution environments supported by Java projects, sorted by their id.

## Method Details

### getExecutionEnvironments

IExecutionEnvironment[] getExecutionEnvironments()
Returns all registered execution environments sorted by their id.

Returns:
  all registered execution environments sorted by their id
See Also:
  - `IExecutionEnvironment.getId()`

### getSupportedExecutionEnvironments

SortedSet<IExecutionEnvironment> getSupportedExecutionEnvironments()
Returns all execution environments supported by Java projects, sorted by their id.

Returns:
  all registered execution environments sorted by their id
Since:
  3.23
See Also:
  - `IExecutionEnvironment.getId()`
  - `JavaCore.isJavaSourceVersionSupportedByCompiler(String)`

### getEnvironment

IExecutionEnvironment getEnvironment(String id)
Returns the execution environment associated with the given identifier or `null` if none.

Parameters:
  `id` - execution environment identifier
Returns:
  execution environment or `null`